Extending Qt Creator Manual | AsyncJob

Extending Qt Creator Manual 4.7.1

# AsyncJob Class

(Utils::Internal::AsyncJob)

- List of all members, including inherited members

## Public Functions

| AsyncJob(Function &&function, Args &&... args)
| ~AsyncJob()
int | future()
void | run()
void | setThreadPool(int *pool)
void | setThreadPriority(int p)

## Member Function Documentation

### AsyncJob::AsyncJob(Function &&function, Args &&... args)

Default constructs an instance of AsyncJob.

### AsyncJob::~AsyncJob()

Destroys the instance of AsyncJob.

### int AsyncJob::future()

### void AsyncJob::run()

### void AsyncJob::setThreadPool(int *pool)

### void AsyncJob::setThreadPriority(int p)